Module javafx.graphics
Package javafx.css

# Class Match

java.lang.Object
javafx.css.Match

All Implemented Interfaces:
  `Comparable<Match>`

public final class Match extends Object implements Comparable<Match>
Used by `Rule` to determine whether or not the selector applies to a given object. Returned by `Selector` matches in the event of a match.

Since:
  9

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Match o)`
`com.sun.javafx.css.PseudoClassState`
`getPseudoClasses()`
`Selector`
`getSelector()`
`int`
`getSpecificity()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSelector

public Selector getSelector()

### getPseudoClasses

public com.sun.javafx.css.PseudoClassState getPseudoClasses()

### getSpecificity

public int getSpecificity()

### compareTo

public int compareTo(Match o)

Specified by:
  `compareTo` in interface `Comparable<Match>`